import request from '@/utils/request'

// 查询档案列表
export function listDoc(query) {
  return request({
    url: '/doc/doc/list',
    method: 'get',
    params: query
  })
}

// 查询档案详细
export function getDoc(docId) {
  return request({
    url: '/doc/doc/' + docId,
    method: 'get'
  })
}

// 新增档案
export function addDoc(data) {
  return request({
    url: '/doc/doc',
    method: 'post',
    data: data
  })
}

// 修改档案
export function updateDoc(data) {
  return request({
    url: '/doc/doc',
    method: 'put',
    data: data
  })
}

// 删除档案
export function delDoc(docId) {
  return request({
    url: '/doc/doc/' + docId,
    method: 'delete'
  })
}

// 导出档案
export function exportDoc(query) {
  return request({
    url: '/doc/doc/export',
    method: 'get',
    params: query
  })
}